------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>32
-- /chgmap 10764 176 274
-- 1.背景为family06-02_new
-- 2.玩家在屏幕中央，Shichinin围着玩家
-- 3.Terumi从屏幕外二段跳进屏幕，同时Shichinin让出一个位置
-- 4.对话结束后结束


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(620, 732)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(613, 740)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(4)
-- hero:SetCtrlMapView(1)

local player0 = CppScriptMgr:AddSimplePlayer(1053871, 635, 720, "Terumi", 4003000070,1)
-- player0:SetDir(1)
-- player0:SetArmor(194385,0,1)
-- player0:SetHair(14, 1)
local player1 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "ShichininDanto", 4003000071,1)
player1:SetRWeapon(410009,0,1)
player1:SetArmor(192785,0,1)
player1:SetHair(1, 1)
local player2 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "ShichininDaito", 4003000072,1)
player2:SetRWeapon(450039,0,1)
player2:SetArmor(184345,0,1)
player2:SetHair(7, 1)
local player3 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "ShichininChoto", 4003000073,1)
player3:SetRWeapon(420039,0,1)
player3:SetArmor(192405,0,1)
player3:SetHair(4, 1)
local player4 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "ShichininDonto", 4003000074,1)
player4:SetRWeapon(460039,0,1)
player4:SetLWeapon(460039,0,1)
player4:SetArmor(195525,0,1)
player4:SetHair(20, 1)
local player5 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "ShichininBakuto", 4003000075,1)
player5:SetRWeapon(430039,0,1)
player5:SetLWeapon(430039,0,1)
player5:SetArmor(191085,0,1)
player5:SetHair(33, 1)
local player6 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "ShichininRaito", 4003000076,1)
player6:SetRWeapon(480039,0,1)
player6:SetArmor(193115,0,1)
player6:SetHair(54, 1)
local player7 = CppScriptMgr:AddSimplePlayer(1064511, 616, 735, "hichininSoto", 4003000077,1)
player7:SetRWeapon(481059,0,1)
player7:SetLWeapon(481059,0,1)
player7:SetArmor(192345,0,1)
player7:SetHair(52, 1)
CppScriptMgr:WaitMilSec(300)

--玩家与七人众对峙
player1:SetAction(401)
player2:SetAction(401)
player3:SetAction(401)
player4:SetAction(401)
player5:SetAction(401)
player6:SetAction(401)
player7:SetAction(401)
hero:SetAction(401)

--玩家打破幻境将他们击退
CppScriptMgr:WaitMilSec(100)
hero:AddEffect("Ninjapassive")
CppScriptMgr:WaitMilSec(100)
player1:JumpTo(614, 729)
player2:JumpTo(619, 734)
player3:JumpTo(624, 739)
player4:JumpTo(628, 735)
player5:JumpTo(632, 731)
player6:JumpTo(618, 725)
player7:JumpTo(622, 721)
CppScriptMgr:WaitMilSec(500)


--Terumi赶来
player0:JumpTo(623, 730)
CppScriptMgr:NpcCallOut("Stop!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc203", 150, 430, "Terumi", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("Sorry, with too many appointments recently, so I asked them to stop you.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc203", 150, 430, "Terumi", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("What`s your business?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc203", 150, 430, "Terumi", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- CppScriptMgr:NpcCallOut("I hope you can take the responsibility as a Water Shadow and take back the homeland with us.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("I hope you can take the responsibility as a Water Shadow and take back the homeland with us.", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("Do you know why I am here?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc203", 150, 430, "Terumi", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- CppScriptMgr:NpcCallOut("Yes. We have found a way to cope with the Kether. Now we need your help.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Yes. We have found a way to cope with the Kether. Now we need your help.", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("We? Who else?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc203", 150, 430, "Terumi", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- CppScriptMgr:NpcCallOut("Other Shadows, sages from the Toad Mountain and Ninjas from CO.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Other Shadows, sages from the Toad Mountain and Ninjas from CO.", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("Sounds good. OK. I will go to the Toad Mountain later.\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc203", 150, 430, "Terumi", 250, 655)
CppScriptMgr:WaitMilSec(2000)